Class CustomAPIPagination.OffsetPagination.Builder (0.37.0)
Stay organized with collections
Save and categorize content based on your preferences.
public static final class CustomAPIPagination.OffsetPagination.Builder extends GeneratedMessage.Builder<CustomAPIPagination.OffsetPagination.Builder> implements CustomAPIPagination.OffsetPaginationOrBuilder
Skip a set number of records to get the next set.
Protobuf type google.cloud.chronicle.v1.CustomAPIPagination.OffsetPagination
Inherited Members
com.google.protobuf.GeneratedMessage.Builder.getUnknownFieldSetBuilder()
com.google.protobuf.GeneratedMessage.Builder.internalGetMapFieldReflection(int)
com.google.protobuf.GeneratedMessage.Builder.internalGetMutableMapFieldReflection(int)
com.google.protobuf.GeneratedMessage.Builder.mergeUnknownLengthDelimitedField(int,com.google.protobuf.ByteString)
com.google.protobuf.GeneratedMessage.Builder.mergeUnknownVarintField(int,int)
com.google.protobuf.GeneratedMessage.Builder.parseUnknownField(com.google.protobuf.CodedInputStream,com.google.protobuf.ExtensionRegistryLite,int)
com.google.protobuf.GeneratedMessage.Builder.setUnknownFieldSetBuilder(com.google.protobuf.UnknownFieldSet.Builder)
com.google.protobuf.GeneratedMessage.Builder.setUnknownFieldsProto3(com.google.protobuf.UnknownFieldSet)
Static Methods
public static final Descriptors.Descriptor getDescriptor()
Methods
public CustomAPIPagination.OffsetPagination build()
public CustomAPIPagination.OffsetPagination buildPartial()
public CustomAPIPagination.OffsetPagination.Builder clear()
Overrides
public CustomAPIPagination.OffsetPagination.Builder clearOffsetQueryParam()
Required. Specify the name of the query parameter for offset in request.
string offset_query_param = 1 [(.google.api.field_behavior) = REQUIRED];
public CustomAPIPagination.OffsetPagination getDefaultInstanceForType()
public Descriptors.Descriptor getDescriptorForType()
Overrides
public String getOffsetQueryParam()
Required. Specify the name of the query parameter for offset in request.
string offset_query_param = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns |
| Type |
Description |
String |
The offsetQueryParam.
|
public ByteString getOffsetQueryParamBytes()
Required. Specify the name of the query parameter for offset in request.
string offset_query_param = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns |
| Type |
Description |
ByteString |
The bytes for offsetQueryParam.
|
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Overrides
public final boolean isInitialized()
Overrides
public CustomAPIPagination.OffsetPagination.Builder mergeFrom(CustomAPIPagination.OffsetPagination other)
public CustomAPIPagination.OffsetPagination.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Overrides
public CustomAPIPagination.OffsetPagination.Builder mergeFrom(Message other)
| Parameter |
| Name |
Description |
other |
Message
|
Overrides
public CustomAPIPagination.OffsetPagination.Builder setOffsetQueryParam(String value)
Required. Specify the name of the query parameter for offset in request.
string offset_query_param = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter |
| Name |
Description |
value |
String
The offsetQueryParam to set.
|
public CustomAPIPagination.OffsetPagination.Builder setOffsetQueryParamBytes(ByteString value)
Required. Specify the name of the query parameter for offset in request.
string offset_query_param = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter |
| Name |
Description |
value |
ByteString
The bytes for offsetQueryParam to set.
|
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-10-05 UTC.
[null,null,["Last updated 2026-10-05 UTC."],[],[]]